﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace NewsMinerManagement
{
	/// <summary>
	/// Interaction logic for LogDialog.xaml
	/// </summary>
	public partial class LogDialog : Window
	{
		public LogDialog()
		{
			InitializeComponent();
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			ListView list = Tabs.SelectedIndex == 0 ? LogListView : SpeedListView;
			StringBuilder text = new StringBuilder();
			foreach (var item in list.Items)
				text.Append((string) item + Environment.NewLine);
			Clipboard.SetDataObject(text.ToString());
		}

		private void ButtonClose_Click(object sender, RoutedEventArgs e)
		{
			Close();
		}
	}
}
