#ifndef PREDICTIONMODEL_H
#define PREDICTIONMODEL_H

#include <base.h>

class TPredictionModel
{
public:
	static double Eps;

	static bool IsMissing(const double& Val);
	
protected:
	static void NormalizeColumn(TVec<TFltV>& ExampleV, const int& ColInd);
	static double GetMean(TVec<TFltV>& ExampleV, const int& ColInd);
	static double GetStdDev(TVec<TFltV>& ExampleV, const int& ColInd);
};

#endif
