#ifndef CATEGORYSRV_H
#define CATEGORYSRV_H

#include "base.h"
#include "mine.h"
#include "net.h"

//////////////////////////////////////
class TCategorySrv : public TSAppSrvFun {
private:
	PDMozCfy DMozCfy;	// dmoz classifier - used to compute topics of events
	
	TCategorySrv(const TStr& _CategoryDbPath);
	
	TStr ExecJSon(const TStrKdV& FldNmValPrV, const PSAppSrvRqEnv& RqEnv);
	
	PJsonVal GetCategory(const TStrKdV& FldNmValPrV, const PSAppSrvRqEnv& RqEnv);

public:
	static PSAppSrvFun New(const TStr& CategoryDbPath) {
		return new TCategorySrv(CategoryDbPath);
	}
};


#endif