#ifndef CONCEPTTRENDSSRV_H
#define CONCEPTTRENDSSRV_H

#include <net.h>
#include "../NewsMiner/NewsBase.h"



// TConceptTrendsSrv web service
class TConceptTrendsSrv : public TSAppSrvFun {
private:
	PNewsBase NewsBase;
	PConceptTrendsManager TrendsManager;

	PJsonVal GetTrends(const TStrKdV& FldNmValPrV);

	TConceptTrendsSrv(const PNewsBase& _NewsBase) :
		TSAppSrvFun("conceptTrends", saotJSon), NewsBase(_NewsBase) {
		TrendsManager = NewsBase->TrendsManager;
	};

public:

	static TConceptTrendsSrv* New(const PNewsBase& NewsBase) {
		return new TConceptTrendsSrv(NewsBase);
	}

	TStr ExecJSon(const TStrKdV& FldNmValPrV, const PSAppSrvRqEnv& RqEnv);
};

#endif
