/**
 * Author: Gregor Leban <gleban@gmail.com>
 * Copyright (c) 2015, Jozef Stefan Institute, Quintelligence d.o.o. and contributors
 * All rights reserved.
 *
 * This source code is licensed under the FreeBSD license found in the
 * LICENSE file in the root directory of this source tree.
 */
#include "GroupNotify.h"

//////////////////////////////////////
// Group-Notify


//void TGroupNotify::AddNotifier(TNotify *Notifier) {
//	NotifyV.Add(Notifier);
//}

void TGroupNotify::OnNotify(const TNotifyType& Type, const TStr& MsgStr)
{
	int Len = NotifyV.Len();
	for (int N=0; N < Len; N++) {
		NotifyV[N]->OnNotify(Type, MsgStr);
	}
}

void TGroupNotify::OnStatus(const TStr& MsgStr) {
	int Len = NotifyV.Len();
	for (int N=0; N < Len; N++) {
		NotifyV[N]->OnStatus(MsgStr);
	}
}

