#ifndef GROUPNOTIFY_H
#define GROUPNOTIFY_H

#include <base.h>


/////////////////////////////////////////////////
// Group of notifiers
//ClassTPE(TGroupNotify, PGroupNotify, TNotify)
class TGroupNotify: public TNotify{
private:
	TVec<PNotify> NotifyV;
public:
  TGroupNotify(const TVec<PNotify> Notifiers) { NotifyV = TVec<PNotify>(Notifiers); }
  //~TGroupNotify();
  static PNotify New(const TVec<PNotify> Notifiers){return PNotify(new TGroupNotify(Notifiers));}
  /*void AddNotifier(TNotify *Notifier);*/

  void OnNotify(const TNotifyType& Type, const TStr& MsgStr);
  void OnStatus(const TStr& MsgStr);
};


#endif