#ifndef JSONUTILS_H
#define JSONUTILS_H

#include <base.h>
#include <mine.h>

class JsonUtils
{
	public:
		static PJsonVal GetJsonForTIntHashSet(const THashSet<TInt>& HashSet);
		//static PJsonVal GetJsonForBowSpV(const PBowSpV& BowSpV);
		static PJsonVal GetJsonForBowWgts(const PBowSpV& BowSpV);
		static PJsonVal GetJsonForTUInt64V(const TUInt64V& Vec);
		
		static THashSet<TInt> GetTIntHashSetForJson(const TStr& Text);
		//static PBowSpV GetBowSpVForJson(const TStr& Text);
		static TFltV GetTFltVForWgts(const PJsonVal& JsonData);
		static TUInt64V GetTUInt64VForJson(const TStr& Text);
};

#endif