#ifndef SOURCESRV_H
#define SOURCESRV_H

#include "../NewsMiner/NewsBase.h"
#include "../NewsMiner/NewsSrvUtil.h"


///////////////////////////////////////////////
// source server
class TSourceSrv : public TSAppSrvFun {
private:
	PNewsBase NewsBase;
	PNewsSrvUtil NewsSrvUtil;

public:
	TSourceSrv(const PNewsBase& _NewsBase, const PNewsSrvUtil& _NewsSrvUtil);
	static PSAppSrvFun New(const PNewsBase& NewsBase, const PNewsSrvUtil& NewsSrvUtil) {
		return new TSourceSrv(NewsBase, NewsSrvUtil);
	}

	TStr ExecJSon(const TStrKdV& FldNmValPrV, const PSAppSrvRqEnv& RqEnv);

	PJsonVal GetInfo(const TStrKdV& FldNmValPrV);
	PJsonVal GetArticles(const TStrKdV& FldNmValPrV);
};

#endif
